package com.lj.pointgrowth.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lj.pointgrowth.pojo.Orders;
import com.lj.pointgrowth.vo.OrdersVo;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hsw
 * @since 2019-11-28
 */
public interface OrdersMapper extends BaseMapper<Orders> {


    List<OrdersVo> findOrdersByTerminalVo(Integer terminalCode);

    Integer getNumOfOrdersByTerminalVo(Integer terminalCode);

}
