package com.lj.pointgrowth.pojo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.experimental.Accessors;


/**
 * <p>
 *
 * </p>
 *
 * @author hsw
 * @since 2019-11-28
 */
@Data
@Accessors(chain = true)
@TableName(value = "MemberData.dbo.mem_point_growth_rule")
public class PointGrowthRule extends Model<PointGrowthRule> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    @TableField("crt_date")
    private Date crtDate;
    @TableField("crt_user")
    private String crtUser;
    @TableField("last_update")
    private Date lastUpdate;
    private String action;
    @TableField("growth_rule")
    private String growthRule;
    @TableField("point_rule")
    private String pointRule;
    private Boolean running;
    @TableField("table_name")
    private String tableName;
    @TableField("terminal_code")
    private String terminalCode;
    @TableField("terminal_name")
    private String terminalName;
    @TableField("time_task_clock")
    private Integer timeTaskClock;
    @TableField("time_task_cycle")
    private String timeTaskCycle;
    @TableField("using_growth_rule")
    private Boolean usingGrowthRule;
    @TableField("using_point_rule")
    private Boolean usingPointRule;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
