package com.lj.pointgrowth.pojo;


import java.util.Date;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.DateFormat;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;


/**
 * <p>
 *
 * </p>
 *
 * @author hsw
 * @since 2019-11-28
 */
@Data
@Accessors(chain = true)
@Document(indexName = "mem_user_point_log", type = "_doc")
public class UserPointLog {

    private static final long serialVersionUID = 1L;

    @Id
    private String id;

    @Field(type = FieldType.Date,  format = DateFormat.custom, pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern ="yyyy-MM-dd HH:mm:ss")
    private Date crtDate;

    private String crtUser;

    @Field(type = FieldType.Date,  format = DateFormat.custom, pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern ="yyyy-MM-dd HH:mm:ss")
    private Date lastUpdate;

    private String action;

    private Integer balance;

    private String dataCode;

    private Float discountedPrice;

    private Boolean increase;

    private Float orderAmount;

    private Integer origin;

    private Float payment;

    private String remark;

    private String secretPhone;

    private String secretPhone1;

    private String terminalAction;

    private String terminalCode;

    private String terminalName;

    private Float transportCost;

    private Integer value;


}
