package com.lj.pointgrowth.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lj.pointgrowth.pojo.Orders;
import com.lj.pointgrowth.vo.OrdersVo;

import java.sql.SQLException;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hsw
 * @since 2019-11-28
 */
public interface OrdersService extends IService<Orders> {

    List<OrdersVo> getOrdersByTerminalVo(Integer terminalCode) throws SQLException, IllegalAccessException, NoSuchFieldException, InstantiationException;

    Integer getNumOfOrdersByTerminalVo(Integer terminalCode);
}
