package com.lj.pointgrowth.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lj.pointgrowth.mapper.WeixinUserInfoMapper;
import com.lj.pointgrowth.pojo.WeixinUserInfo;
import com.lj.pointgrowth.service.WeixinUserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author hsw
 * @since 2019-12-02
 */
@Service
public class WeixinUserInfoServiceImpl extends ServiceImpl<WeixinUserInfoMapper, WeixinUserInfo> implements WeixinUserInfoService {

    @Autowired
    WeixinUserInfoMapper weixinUserInfoMapper;


    @Override
    public WeixinUserInfo findBySecretPhone(String secretPhone) {
        return weixinUserInfoMapper.findBySecretPhone(secretPhone);
    }
}
