package com.lj.pointgrowth.pojo;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author hsw
 * @since 2019-12-02
 */
@Data
@Accessors(chain = true)
@TableName("MemberData.dbo.mem_weixin_user_info")
public class WeixinUserInfo extends Model<WeixinUserInfo> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    private String city;
    private String country;
    private Integer groupid;
    private String headimgurl;
    private String language;
    private String nickname;
    private String openid;
    private String province;
    @TableField("qr_scene")
    private Integer qrScene;
    @TableField("qr_scene_str")
    private String qrSceneStr;
    private String remark;
    @TableField("secret_phone")
    private String secretPhone;
    @TableField("secret_phone1")
    private String secretPhone1;
    private Integer sex;
    private Integer subscribe;
    @TableField("subscribe_scene")
    private String subscribeScene;
    @TableField("subscribe_time")
    private Integer subscribeTime;
    @TableField("tagid_list")
    private String tagidList;
    private String unionid;
    @TableField("unsubscribe_time")
    private Integer unsubscribeTime;
    private Integer growth;
    @TableField("growth_update_date")
    private Date growthUpdateDate;
    private Integer point;
    @TableField("point_update_date")
    private Date pointUpdateDate;
    private String consignee;
    @Version
    private Integer version;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
